Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.auth.legacy

# Class LegacyAuthenticationPluginSpi

java.lang.Object
org.firebirdsql.gds.ng.wire.auth.legacy.LegacyAuthenticationPluginSpi

All Implemented Interfaces:
  `AuthenticationPluginSpi`

public class LegacyAuthenticationPluginSpi extends Object implements AuthenticationPluginSpi
Legacy authentication plugin service provider.

Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LEGACY_AUTH_NAME`

## Constructor Summary

Constructors
Constructor
Description
`LegacyAuthenticationPluginSpi()`

## Method Summary

Modifier and Type
Method
Description
`AuthenticationPlugin`
`createPlugin()`
`String`
`getPluginName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LEGACY_AUTH_NAME

public static final String LEGACY_AUTH_NAME

See Also:
  - Constant Field Values

## Constructor Details

### LegacyAuthenticationPluginSpi

public LegacyAuthenticationPluginSpi()

## Method Details

### getPluginName

public String getPluginName()

Specified by:
  `getPluginName` in interface `AuthenticationPluginSpi`
Returns:
  Name of the plugin as used by Firebird

### createPlugin

public AuthenticationPlugin createPlugin()

Specified by:
  `createPlugin` in interface `AuthenticationPluginSpi`
Returns:
  Plugin instance